Bug 7682 - Ссылки всегда открываются в новой вкладке последнего окна
: Ссылки всегда открываются в новой вкладке последнего окна
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/firefox)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-15 03:02 by
Modified: 2008-07-19 09:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-15 03:02:36
firefox-1.0.5-alt2.cvs
Firefox настроен в KDE как броузер по умолчанию
При попытке открыть какую-нибудь ссылку из внешнего приложения она открывается в
новой вкладке последнего активного окна. Настройка параметра "Открывать ссылки
из других приложений в:" игнорируется.
Пользовательский профиль сносить пробовал, не помогает.
Все расширения удалить тоже не помогает.
------- Comment #1 From 2005-08-15 03:15:35 -------
Обработкой вызовов из внешних занимается скрипт /usr/lib/firefox/run-mozilla.sh
.
К сожалению повлиять на нее через настройки firefox нельзя. 
------- Comment #2 From 2005-08-15 04:03:23 -------
(In reply to comment #1)
> Обработкой вызовов из внешних занимается скрипт
/usr/lib/firefox/run-mozilla.sh > К сожалению повлиять на нее через настройки
firefox нельзя. 

О, как интересно. Оказывается, если в этом скрипте в районе 186 строчки (самый
конец функции open_browser()) заменить 
RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS openurl($opt,new-tab)"
на 
RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS openurl($opt)"
то всё становится шоколадно и пушисто. И настройка "Открывать ссылки из других
приложений в:" работает как полагается!

Так что для меня оно RESOLVED, спасибо за наводку.
------- Comment #3 From 2005-08-15 14:52:28 -------
Действительно. Исправлено в следующей сборке.
------- Comment #4 From 2005-08-19 04:09:33 -------
В версии firefox-1.0.6-alt4 опять сломано. :(
------- Comment #5 From 2005-08-19 12:58:58 -------
старый патч наложился.
в следующей версии точно будет исправлено :)
------- Comment #6 From 2005-08-29 16:52:10 -------
fixed in 1.0.6-alt5
------- Comment #7 From 2005-09-25 23:47:21 -------
Пока она открыта
------- Comment #8 From 2005-09-25 23:47:51 -------
*** Bug 8053 has been marked as a duplicate of this bug. ***
------- Comment #9 From 2005-11-18 01:36:52 -------
Обновление до firefox-1.0.7-alt3.1 не решает этой монументальной проблемы.

Неужели сложно надежно приклеить патч, в котором отсутствует параметр new-tab?
------- Comment #10 From 2007-09-27 12:16:13 -------
Кто-нить проверял для 2.0.0.7-alt1?
------- Comment #11 From 2008-07-19 09:40:44 -------
Сейчас открывается согласно настройкам.